Ask Your Question
0

Error compiling ethzasl_ptam

asked 2015-05-27 11:40:22 -0500

aland_t gravatar image

updated 2015-06-05 02:03:09 -0500

gvdhoorn gravatar image

I am running Ubuntu 12.04 with ROS Groovy. When I run catkin_make, I receive the following error:

<my path>/ratio_layouted_frame.h:36:18: fatal error: QFrame: No such file or directory compilation terminated.

When I look up QFrame, it appears this is a part of pyqt4. Searching for pyqt4, I conclude this is used in the Indigo distribution. Am I correct with this assumption? Is there a way around this error?

Thanks for any help.

OK, I found something which indicates QFrame should be included with Groovy. Still can't get past this error...

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2015-05-28 16:33:28 -0500

Cerin gravatar image

updated 2015-05-28 16:41:53 -0500

I recommend retrying with Indigo on Ubuntu 14.04, since that's been the current release for the last year and will have the most support. I recently compiled ethzasl_ptam on a full-desktop Indigo install by doing:

sudo apt-get install ros-indigo-libg2o ros-indigo-cv-bridge liblapack-dev libblas-dev freeglut3-dev libqglviewer-dev libsuitesparse-dev libx11-dev ros-indigo-usb-cam
mkdir ~/git/myproject ~/git/myproject/src
cd ~/git/myproject/src
catkin_init_workspace
git clone https://github.com/ethz-asl/ethzasl_ptam.git ethzasl_ptam
cd ..
catkin_make

and it compiled without error.

If you're really intend on using Groovy, I suggest making sure you have necessary package for whatever provides that header file. It looks like it's probably something in RQT so you could try:

sudo apt-get install ros-groovy-rqt*

and then re-running the above steps.

edit flag offensive delete link more

Comments

I've tried upgrading to Ubuntu 14.04, but I receive an error message, "Unable to calculate upgrade". So, I'm stuck using Groovy and 12.04. I tried reinstalling rqt, but I get the same error messages....

aland_t gravatar imagealand_t ( 2015-05-29 11:01:40 -0500 )edit

You likely have some non-standard packages that Ubuntu's upgrade script can't handle. I ran into a similar error. I recommend uninstalling all existing ros-groovy packages and then disabling all non-standard repos in your /etc/apt/sources.list. Once the upgrade is complete, then re-add the ROS repo.

Cerin gravatar imageCerin ( 2015-05-29 12:37:41 -0500 )edit

Uninstalling ros seems to have cleared up whatever issues were preventing me from installing 14.04, so I'm upgrading now.

aland_t gravatar imagealand_t ( 2015-05-29 13:23:42 -0500 )edit

So I install 14.04, it had some issues with the graphics card. I was getting strange errors and none of the icons would show up on the desktop. I sort of fixed these issues; I can get the the terminal with ctrl+alt+f3 and operate from there. Though I still can't operate from the desktop.

aland_t gravatar imagealand_t ( 2015-05-29 20:35:37 -0500 )edit

I installed Indigo, but when I run catkin_make I get a message saying it doesn't exist. When I try to reinstall catkin I get a message saying it is already the newest version.

aland_t gravatar imagealand_t ( 2015-05-29 20:37:09 -0500 )edit

Running dpkg -S /opt/ros/indigo/bin/catkin_make shows the package is ros-indigo-catkin. If that's installed, it should be there. I can't imagine why it wouldn't be. Try reinstalling it with sudo apt-get install --reinstall ros-indigo-catkin.

Cerin gravatar imageCerin ( 2015-05-29 20:57:11 -0500 )edit

Also, what brand of graphics card do you have? I had similar issues with Nvidia that I was able to sort out, but it took a lot of trial and error. Do you get to the login screen, or does even that not load?

Cerin gravatar imageCerin ( 2015-05-29 20:59:24 -0500 )edit

I can try the catkin reinstall next time I'm at work. Today has been such a headache I may not go in tomorrow.

aland_t gravatar imagealand_t ( 2015-05-29 21:45:15 -0500 )edit
0

answered 2015-06-04 09:41:12 -0500

aland_t gravatar image

The answer is basically to upgrade to Ubuntu 14.04 and ROS Indigo. Setup and source the package path correctly, and install any missing libraries. This will at least make ptam compile, although it is not generating any executables. So it does nothing yet....

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-05-27 11:40:22 -0500

Seen: 185 times

Last updated: Jun 05 '15